val type_to_string : int -> string
val rrtype_to_int : Dns.rrtype -> int
val string_to_type : string -> int
val print_header :
  < get_ancount : int; get_flags : int; get_id : int; get_naddrr : int;
    get_nscount : int; get_qdcount : int; .. > ->
  unit
val print_flags : int -> unit
val print_rdata : Dns.rrtype -> unit
val print_query :
  < get_class : int; get_name : string; get_type : int; .. > list -> unit
val print_answer :
  < get_class : int; get_name : string; get_rdata : Dns.rrtype;
    get_ttl : int; get_type : int; .. >
  list -> unit
val print_packet :
  < get_additionnals : < get_class : int; get_name : string;
                         get_rdata : Dns.rrtype; get_ttl : int;
                         get_type : int; .. >
                       list;
    get_answers : < get_class : int; get_name : string;
                    get_rdata : Dns.rrtype; get_ttl : int; get_type : 
                    int; .. >
                  list;
    get_authorities : < get_class : int; get_name : string;
                        get_rdata : Dns.rrtype; get_ttl : int;
                        get_type : int; .. >
                      list;
    get_header : < get_ancount : int; get_flags : int; get_id : int;
                   get_naddrr : int; get_nscount : int; get_qdcount : 
                   int; .. >;
    get_questions : < get_class : int; get_name : string; get_type : 
                      int; .. >
                    list;
    .. > ->
  unit
